﻿//DESCRIPTION:Remove any numerals that appear at the end of form field names in the active document

// Modified 2024-01-23
// Keith Gilbert, Gilbert Consulting
// www.gilbertconsulting.com

Pre();
  
function Pre () {  
	// Check to make sure all required conditions are met
	if (!app.documents.length) { 
		alert("No InDesign documents are open. Please open a document and try again.");
		return;
	}
	// Main();
	app.doScript(Main, undefined, undefined, UndoModes.ENTIRE_SCRIPT,"Run Script");
}  

function Main() {
	var myDoc = app.activeDocument;
	var myObjectsArray = myDoc.allPageItems;
	for (var i=myObjectsArray.length-1; i>=0; i--) {
		var myObject = myObjectsArray[i];
		if ((myObject.constructor.name == "CheckBox") || (myObject.constructor.name == "ComboBox") || (myObject.constructor.name == "ListBox") || (myObject.constructor.name == "RadioButton") || (myObject.constructor.name == "SignatureField") || (myObject.constructor.name == "TextBox")) {
			if (myObject.name.match(/ \d+$/)) {
				myObject.name = myObject.name.replace(/ \d+$/, "");
			}
		}
	}
}